Index: main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css	(revision 11010)
+++ main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css	(revision 11011)
@@ -1,2 +1,4 @@
+/* Customized Bootstrap styles */
+
 body {
     background-color: #f5f5f5;
@@ -28,17 +30,4 @@
 }
 
-.wfstatus {
-    float: right;
-}
-
-.kofa-sidebar,
-.kofa-content-narrow , .kofa-breadcrumbs-box {
-    padding: 0px 5px 0px 5px;
-}
-
-.kofa-content-wide {
-    padding: 5px 15px;
-}
-
 .well {
     padding: 0px 5px 20px 5px;
@@ -48,4 +37,34 @@
 }
 
+.alert {
+  margin-bottom: 10px;
+  margin-top: 10px;
+}
+
+.wfstatus {
+    float: right;
+}
+
+/* Kofa styles */
+
+.kofa-sidebar,
+.kofa-content-narrow , .kofa-breadcrumbs-box {
+    padding: 0px 5px 0px 5px;
+}
+
+.kofa-content-wide {
+    padding: 5px 15px;
+}
+
+.workflow {
+  border:1px solid #1fdf00;
+  background-color:#bbffb6;
+  font-family: courier;
+  font-size: 100%;
+  padding: 4px;
+  margin-bottom: 8px;
+  line-height: 16px;
+}
+
 .kofa-breadcrumbs-box .well {
     padding: 5px 5px 5px 5px;
@@ -59,9 +78,4 @@
     color: #BFBFBF;
     font-size: 18px;
-}
-
-.alert {
-  margin-bottom: 10px;
-  margin-top: 10px;
 }
 
@@ -128,6 +142,6 @@
     padding: 6px 12px;
     transition: border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
-    width: 100%;
     margin: 0px 4px 0px 0px;
+    width: 100%;
 }
 
@@ -152,6 +166,5 @@
 }
 
-.ordered-selection-field select , .inline-selection-field select,
-td select {
+.ordered-selection-field select , .inline-selection-field select {
     width: 100%;
 }
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser.py
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser.py	(revision 11010)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser.py	(revision 11011)
@@ -655,8 +655,8 @@
         container = self.context.__parent__
         payment = createObject(self.factory)
-        error = applicants_utils.setPaymentDetails(
+        failure = applicants_utils.setPaymentDetails(
             container, payment, self.context)
-        if error is not None:
-            self.flash(error, type='danger')
+        if failure is not None:
+            self.flash(failure[0], type='danger')
             self.redirect(self.url(self.context))
             return
@@ -1209,5 +1209,5 @@
     grok.name('index.html')
     grok.template('exportjobsindex')
-    label = _('Applicant Data Exports')
+    label = _('Data Exports')
     pnav = 3
 
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantcontainerstatistics.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantcontainerstatistics.pt	(revision 11010)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantcontainerstatistics.pt	(revision 11011)
@@ -1,5 +1,5 @@
 <tal:statistics define="stats context/statistics" i18n:domain="waeup.kofa">
   <h2 i18n:translate="">Container Statistics</h2>
-  <table class="span8">
+  <table class="table">
     <thead>
       <tr>
@@ -17,5 +17,5 @@
     </tbody>
   </table>
-  <table class="span8" tal:condition="python: stats[1]">
+  <table class="table" tal:condition="python: stats[1]">
     <thead>
       <tr>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantdisplaypage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantdisplaypage.pt	(revision 11010)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantdisplaypage.pt	(revision 11011)
@@ -41,25 +41,27 @@
     Application Fee Payment Tickets
 </h3>
-<table i18n:domain="waeup.kofa">
-  <thead>
-    <tr>
-      <th i18n:translate="">Payment Id</th>
-      <th i18n:translate="">Creation Date</th>
-      <th i18n:translate="">Payment Date</th>
-      <th i18n:translate="">Category</th>
-      <th i18n:translate="">Item</th>
-      <th i18n:translate="">State</th>
-    </tr>
-  </thead>
-  <tbody>
-    <tr tal:repeat="value context/values">
-      <td> <a tal:attributes="href value/__name__">
-      <span tal:content="value/p_id">PID</span></a></td>
-      <td tal:content="python: layout.formatDatetime(value.creation_date)">CREATION DATE</td>
-      <td tal:content="python: layout.formatDatetime(value.payment_date)">PAYMENT DATE</td>
-      <td tal:content ="value/category">CATEGORY</td>
-      <td tal:content ="value/display_item">ITEM</td>
-      <td tal:content ="value/p_state_title">STATE</td>
-    </tr>
-  </tbody>
-</table>
+<div class="table-responsive">
+  <table i18n:domain="waeup.kofa" class="table table-condensed">
+    <thead>
+      <tr>
+        <th i18n:translate="">Payment Id</th>
+        <th i18n:translate="">Creation Date</th>
+        <th i18n:translate="">Payment Date</th>
+        <th i18n:translate="">Category</th>
+        <th i18n:translate="">Item</th>
+        <th i18n:translate="">State</th>
+      </tr>
+    </thead>
+    <tbody>
+      <tr tal:repeat="value context/values">
+        <td> <a tal:attributes="href value/__name__">
+        <span tal:content="value/p_id">PID</span></a></td>
+        <td tal:content="python: layout.formatDatetime(value.creation_date)">CREATION DATE</td>
+        <td tal:content="python: layout.formatDatetime(value.payment_date)">PAYMENT DATE</td>
+        <td tal:content ="value/category">CATEGORY</td>
+        <td tal:content ="value/display_item">ITEM</td>
+        <td tal:content ="value/p_state_title">STATE</td>
+      </tr>
+    </tbody>
+  </table>
+</div>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicanteditpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicanteditpage.pt	(revision 11010)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicanteditpage.pt	(revision 11011)
@@ -38,5 +38,5 @@
         <td class="fieldname" i18n:translate="">Password:</td>
         <td>
-          <input name="password" type="password"  />
+          <input class="form-control" name="password" type="password"  />
         </td>
       </tr>
@@ -44,5 +44,5 @@
         <td class="fieldname" i18n:translate="">Retype Password:</td>
         <td>
-          <input name="control_password" type="password" />
+          <input class="form-control" name="control_password" type="password" />
         </td>
       </tr>
@@ -84,34 +84,36 @@
   </h3>
 
-  <table>
-    <thead>
-    <tr>
-      <th>&nbsp;</th>
-      <th i18n:translate="">Payment Id</th>
-      <th i18n:translate="">Creation Date</th>
-      <th i18n:translate="">Payment Date</th>
-      <th i18n:translate="">Category</th>
-      <th i18n:translate="">Item</th>
-      <th i18n:translate="">State</th>
-    </tr>
-    </thead>
-    <tbody>
-      <tr tal:repeat="cl context/values">
-         <td>
-          <input type="checkbox"
-    		 name="val_id"
-    		 tal:attributes="value cl/__name__"
-         tal:condition="python: not view.unremovable(cl)" />
-        </td>
-        <td> <a tal:attributes="href cl/__name__">
-        <span tal:content="cl/p_id">PID</span></a></td>
-        <td tal:content="python: layout.formatDatetime(cl.creation_date)">CREATION DATE</td>
-        <td tal:content="python: layout.formatDatetime(cl.payment_date)">PAYMENT DATE</td>
-      <td tal:content ="cl/category">CATEGORY</td>
-      <td tal:content ="cl/display_item">ITEM</td>
-      <td tal:content ="cl/p_state_title">STATE</td>
+  <div class="table-responsive">
+    <table i18n:domain="waeup.kofa" class="table table-condensed">
+      <thead>
+      <tr>
+        <th>&nbsp;</th>
+        <th i18n:translate="">Payment Id</th>
+        <th i18n:translate="">Creation Date</th>
+        <th i18n:translate="">Payment Date</th>
+        <th i18n:translate="">Category</th>
+        <th i18n:translate="">Item</th>
+        <th i18n:translate="">State</th>
       </tr>
-    </tbody>
-  </table>
+      </thead>
+      <tbody>
+        <tr tal:repeat="cl context/values">
+           <td>
+            <input type="checkbox"
+      		 name="val_id"
+      		 tal:attributes="value cl/__name__"
+           tal:condition="python: not view.unremovable(cl)" />
+          </td>
+          <td> <a tal:attributes="href cl/__name__">
+          <span tal:content="cl/p_id">PID</span></a></td>
+          <td tal:content="python: layout.formatDatetime(cl.creation_date)">CREATION DATE</td>
+          <td tal:content="python: layout.formatDatetime(cl.payment_date)">PAYMENT DATE</td>
+        <td tal:content ="cl/category">CATEGORY</td>
+        <td tal:content ="cl/display_item">ITEM</td>
+        <td tal:content ="cl/p_state_title">STATE</td>
+        </tr>
+      </tbody>
+    </table>
+  </div>
 
   <div tal:condition="view/availableActions">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantregemailsent.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantregemailsent.pt	(revision 11010)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantregemailsent.pt	(revision 11011)
@@ -19,5 +19,5 @@
 <tal:credentials condition = "view/password" i18n:domain="waeup.kofa">
   <h3 i18n:translate="">Your login credentials are:</h3>
-  <table class="bordered-table span6">
+  <table class="table-bordered">
     <tr>
       <td i18n:translate="">User Name:</td>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantscontaineraddpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantscontaineraddpage.pt	(revision 11010)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantscontaineraddpage.pt	(revision 11011)
@@ -1,4 +1,4 @@
 <form action="." tal:attributes="action request/URL" method="post"
-  class="edit-form" enctype="multipart/form-data">
+  enctype="multipart/form-data">
 
   <table class="form-table">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 11010)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 11011)
@@ -1,18 +1,18 @@
 <form action="." tal:attributes="action request/URL" method="POST"
-  i18n:domain="waeup.kofa" class="edit-form" enctype="multipart/form-data">
+  i18n:domain="waeup.kofa" enctype="multipart/form-data">
 
-  <ul class="tabs" data-tabs="tabs">
-    <li tal:attributes="class view/tab1">
-    <a href="#tab-1">
+ <ul class="tabs nav nav-tabs" data-tabs="tabs">
+    <li class="active">
+    <a href="#tab1" data-toggle="tab">
       <span i18n:translate="">Settings
       </span></a>
     </li>
-    <li tal:attributes="class view/tab2">
-    <a href="#tab-2">
+    <li>
+    <a href="#tab2" data-toggle="tab">
       <span i18n:translate="">Applicants
       </span></a>
     </li>
-    <li tal:attributes="class view/tab3">
-    <a href="#tab-3">
+    <li>
+    <a href="#tab3" data-toggle="tab">
       <span i18n:translate="">Local Roles
       </span></a>
@@ -20,5 +20,6 @@
   </ul>
   <div class="tab-content">
-    <div id="tab-1" tal:attributes="class view/tab1">
+    <div id="tab1" class="active tab-pane">
+      <br />
       <table class="form-table">
         <tbody>
@@ -33,11 +34,8 @@
       </div>
     </div>
-    <div id="tab-2" tal:attributes="class view/tab2">
+    <div id="tab2" class="tab-pane">
     <tal:showApplicants  condition="view/showApplicants">
-    <input type="checkbox" onClick="toggle(this, 'val_id')" />
-    <span  i18n:translate="">Select all</span>
-    <br /><br />
-
-      <table class="display dataTableManage">
+      <br />
+      <table class="dataTableManage">
         <thead>
           <tr>
@@ -55,5 +53,5 @@
         </thead>
         <tbody>
-          <tr class="gradeC" tal:repeat="appl context/values">
+          <tr tal:repeat="appl context/values">
             <td>
               <input type="checkbox" name="val_id" tal:attributes="value appl/__name__" />
@@ -78,4 +76,7 @@
         </tbody>
       </table>
+      <input type="checkbox" onClick="toggle(this, 'val_id')" />
+      <span  i18n:translate="">Select all</span>
+      <br /><br />
       <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
@@ -100,6 +101,6 @@
     </tal:showNoApplicants>
     </div>
-    <div id="tab-3" tal:attributes="class view/tab3"> <br />
-      <table class="display dataTableManage">
+    <div id="tab3" class="tab-pane"> <br />
+      <table class="dataTableManage">
         <thead>
           <tr>
@@ -115,5 +116,5 @@
         </thead>
         <tbody>
-          <tr tal:repeat="entry view/getUsersWithLocalRoles" class="gradeC"> <td>
+          <tr tal:repeat="entry view/getUsersWithLocalRoles"> <td>
               <input type="checkbox" name="role_id"
                 tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" /> </td>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/exportjobsindex.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/exportjobsindex.pt	(revision 11010)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/exportjobsindex.pt	(revision 11011)
@@ -1,61 +1,60 @@
-<table i18n:domain="waeup.kofa">
-  <thead>
-    <tr>
-      <th i18n:translate="">Export Number</th>
-      <th i18n:translate="">Exporter</th>
-      <th i18n:translate="">Filter</th>
-      <th i18n:translate="">Creator</th>
-      <th i18n:translate="">Creation Date</th>
-      <th i18n:translate="">Status</th>
-      <th>&nbsp;</th>
-    </tr>
-  </thead>
-  <tbody>
-    <tr tal:repeat="job view/entries">
-      <td>
-        <span tal:replace="job/job">12</span>
-      </td>
-      <td>
-        <span tal:replace="structure job/exporter">EXPORTER</span>
-      </td>
-      <td>
-        <span tal:replace="structure job/args">ARGS</span>
-      </td>
-      <td>
-        <span tal:replace="job/creator">CREATOR</span>
-      </td>
-      <td nowrap>
-        <span tal:replace="job/start_time">DATETIME</span>
-      </td>
-      <td>
-        <span tal:replace="job/status">STATUS</span>
-      </td>
-      <td nowrap>
-        <a href="" class="btn" i18n:translate=""
-           tal:condition="job/show_refresh_button">
-          <img tal:attributes="src static/actionicon_reload.png" />
-          Reload
-        </a>
-        <form method="POST">
-          <a href="" class="btn primary small"
-                 tal:attributes="href job/download_url"
-                 tal:condition="job/show_download_button">
-            Download</a>
+<div class="table-responsive">
+  <table i18n:domain="waeup.kofa" class="table table-condensed table-hover">
+    <thead>
+      <tr>
+        <th i18n:translate="">Export Number</th>
+        <th i18n:translate="">Exporter</th>
+        <th i18n:translate="">Filter</th>
+        <th i18n:translate="">Creator</th>
+        <th i18n:translate="">Creation Date</th>
+        <th i18n:translate="">Status</th>
+        <th>&nbsp;</th>
+      </tr>
+    </thead>
+    <tbody>
+      <tr tal:repeat="job view/entries">
+        <td>
+          <span tal:replace="job/job">12</span>
+        </td>
+        <td>
+          <span tal:replace="structure job/exporter">EXPORTER</span>
+        </td>
+        <td>
+          <span tal:replace="structure job/args">ARGS</span>
+        </td>
+        <td>
+          <span tal:replace="job/creator">CREATOR</span>
+        </td>
+        <td>
+          <span tal:replace="job/start_time">DATETIME</span>
+        </td>
+        <td>
+          <span tal:replace="job/status">STATUS</span>
+        </td>
+        <td nowrap>
+          <a href="" class="btn btn-default btn-xs" i18n:translate=""
+             tal:condition="job/show_refresh_button">
+            <img tal:attributes="src static/actionicon_reload.png" />
+            Reload
+          </a>
+          <form method="POST">
+            <a href="" class="btn btn-primary btn-xs"
+                   tal:attributes="href job/download_url"
+                   tal:condition="job/show_download_button">
+              Download</a>
+            <input type="hidden" name="job_id"
+                   tal:attributes="value job/job" />
+            <input type="submit" class="btn btn-default btn-xs"
+                   name="DISCARD" value="Discard"
+                   tal:condition="job/show_discard_button" />
+          </form>
+        </td>
+      </tr>
+    </tbody>
+  </table>
+</div>
 
-          <input type="hidden" name="job_id"
-                 tal:attributes="value job/job" />
-          <input type="submit" class="btn small"
-                 name="DISCARD" value="Discard"
-                 tal:condition="job/show_discard_button" />
-        </form>
-      </td>
-    </tr>
-  </tbody>
-</table>
 <form method="POST" i18n:domain="waeup.kofa">
-  <div class="span12">
-
-  </div>
-  <input class="btn primary" type="submit" name="CREATE"
+  <input class="btn btn-primary" type="submit" name="CREATE"
          value="Start new export"
           />
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/utils.py
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/utils.py	(revision 11010)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/utils.py	(revision 11011)
@@ -51,5 +51,5 @@
             session_config = grok.getSite()['configuration'][session]
         except KeyError:
-            return _(u'Session configuration object is not available.')
+            return _(u'Session configuration object is not available.'), None
         payment.p_id = "p%s" % timestamp
         payment.p_item = container.title
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterexportpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterexportpage.pt	(revision 11010)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterexportpage.pt	(revision 11011)
@@ -69,5 +69,5 @@
           <span tal:replace="job/creator">CREATOR</span>
         </td>
-        <td nowrap>
+        <td>
           <span tal:replace="job/start_time">DATETIME</span>
         </td>