Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser.py	(revision 11012)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser.py	(revision 11013)
@@ -40,5 +40,5 @@
 from waeup.kofa.browser.pages import ContactAdminForm, ExportCSVView, doll_up
 from waeup.kofa.browser.resources import (
-    datepicker, datatable, tabs, warning, toggleall)
+    datepicker, warning, toggleall)
 from waeup.kofa.browser.layout import jsaction, action, UtilityView
 from waeup.kofa.browser.interfaces import ICaptchaManager
@@ -263,5 +263,4 @@
 
     def update(self, *args, **kw):
-        datatable.need()
         form = self.request.form
         self.hitlist = []
@@ -307,5 +306,4 @@
 
     def update(self, *args, **kw):
-        datatable.need()
         toggleall.need()
         warning.need()
@@ -536,5 +534,4 @@
     def update(self):
         datepicker.need() # Enable jQuery datepicker in date fields.
-        tabs.need()
         self.tab1 = self.tab2 = ''
         qs = self.request.get('QUERY_STRING', '')
@@ -766,5 +763,4 @@
     def update(self):
         datepicker.need() # Enable jQuery datepicker in date fields.
-        tabs.need()
         self.tab1 = self.tab2 = ''
         qs = self.request.get('QUERY_STRING', '')
@@ -987,5 +983,4 @@
             return
         super(StudyCourseManageFormPage, self).update()
-        tabs.need()
         self.tab1 = self.tab2 = ''
         qs = self.request.get('QUERY_STRING', '')
@@ -994,5 +989,4 @@
         setattr(self, qs, 'active')
         warning.need()
-        datatable.need()
         return
 
@@ -1023,5 +1017,5 @@
             yield(dict(code=code, title=title))
 
-    @action(_('Add study level'))
+    @action(_('Add study level'), style='primary')
     def addStudyLevel(self, **data):
         level_code = self.request.form.get('addlevel', None)
@@ -1082,5 +1076,4 @@
     def update(self, SUBMIT=None):
         super(StudentTranscriptRequestPage, self).update()
-        tabs.need()
         self.tab1 = self.tab2 = ''
         qs = self.request.get('QUERY_STRING', '')
@@ -1157,5 +1150,4 @@
     def update(self, SUBMIT=None):
         super(StudentTranscriptRequestProcessFormPage, self).update()
-        tabs.need()
         self.tab1 = self.tab2 = ''
         qs = self.request.get('QUERY_STRING', '')
@@ -1375,5 +1367,4 @@
     def update(self):
         super(StudyLevelDisplayFormPage, self).update()
-        datatable.need()
         return
 
@@ -1486,4 +1477,5 @@
     tabtwoactions = [_('Add course ticket'),
         _('Remove selected tickets'),_('Cancel')]
+    placeholder = _('Enter valid course code')
 
     def update(self, ADD=None, course=None):
@@ -1492,5 +1484,4 @@
             return
         super(StudyLevelManageFormPage, self).update()
-        tabs.need()
         self.tab1 = self.tab2 = ''
         qs = self.request.get('QUERY_STRING', '')
@@ -1499,5 +1490,4 @@
         setattr(self, qs, 'active')
         warning.need()
-        datatable.need()
         if ADD is not None:
             if not course:
@@ -1721,5 +1711,4 @@
     def update(self):
         super(PaymentsManageFormPage, self).update()
-        datatable.need()
         warning.need()
         return
@@ -1991,5 +1980,4 @@
     def update(self):
         super(AccommodationManageFormPage, self).update()
-        datatable.need()
         warning.need()
         return
@@ -2646,5 +2634,4 @@
             return
         super(StudyLevelEditFormPage, self).update()
-        datatable.need()
         warning.need()
         if ADD is not None:
@@ -2965,5 +2952,4 @@
 
     def update(self, SHOW=None, session=None, level=None):
-        datatable.need()
         self.parent_url = self.url(self.context.__parent__)
         self._set_session_values()
@@ -3080,5 +3066,4 @@
             self.redirect(self.url(self.context))
             return
-        datatable.need()
         self.tickets = self._searchCatalog(self.current_academic_session)
         editable_tickets = [
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/basemanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/basemanagepage.pt	(revision 11012)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/basemanagepage.pt	(revision 11013)
@@ -3,13 +3,19 @@
       autocomplete="off">
 
-  <ul class="tabs" data-tabs="tabs">
-    <li tal:attributes="class view/tab1"><a href="#tab-1">
-    <span i18n:translate="">Base Data</span></a></li>
-    <li tal:attributes="class view/tab2"><a href="#tab-2">
-    <span i18n:translate="">Passport Picture</span></a></li>
+  <ul class="tabs nav nav-tabs" data-tabs="tabs">
+    <li class="active">
+      <a href="#tab1" data-toggle="tab">
+      <span i18n:translate="">Base Data</span></a>
+    </li>
+    <li>
+      <a href="#tab2" data-toggle="tab">
+        <span i18n:translate="">Passport Picture</span>
+      </a>
+    </li>
   </ul>
 
   <div class="tab-content">
-    <div id="tab-1" tal:attributes="class view/tab1">
+    <div id="tab1" class="active tab-pane">
+      <br />
       <table class="form-table">
         <tbody>
@@ -18,5 +24,5 @@
             <td class="fieldname" i18n:translate="">Password:</td>
             <td>
-              <input name="password" type="password"  />
+              <input name="password" class="form-control" type="password"  />
             </td>
           </tr>
@@ -24,5 +30,5 @@
             <td class="fieldname" i18n:translate="">Retype Password:</td>
             <td>
-              <input name="control_password" type="password" />
+              <input name="control_password" class="form-control" type="password" />
             </td>
           </tr>
@@ -38,5 +44,6 @@
     </div>
 
-    <div id="tab-2"  tal:attributes="class view/tab2">
+    <div id="tab2" class="tab-pane">
+      <br />
       <table class="form-table">
         <tbody>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/change_password.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/change_password.pt	(revision 11012)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/change_password.pt	(revision 11013)
@@ -10,5 +10,5 @@
         <td class="fieldname" i18n:translate="">Password:</td>
         <td>
-          <input name="change_password" type="password"  />
+          <input name="change_password" class="form-control" type="password"  />
         </td>
       </tr>
@@ -16,5 +16,5 @@
         <td class="fieldname" i18n:translate="">Retype Password:</td>
         <td>
-          <input name="change_password_repeat" type="password" />
+          <input name="change_password_repeat" class="form-control" type="password" />
         </td>
       </tr>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/clearanceeditpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/clearanceeditpage.pt	(revision 11012)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/clearanceeditpage.pt	(revision 11013)
@@ -2,12 +2,18 @@
       i18n:domain="waeup.kofa" enctype="multipart/form-data">
 
-  <ul class="tabs" data-tabs="tabs">
-    <li tal:attributes="class view/tab1"><a href="#tab-1">
-    <span i18n:translate="">Clearance Data</span></a></li>
-    <li tal:attributes="class view/tab2"><a href="#tab-2">
-    <span i18n:translate="">Scans</span></a></li>
+  <ul class="tabs nav nav-tabs" data-tabs="tabs">
+    <li class="active">
+      <a href="#tab1" data-toggle="tab">
+        <span i18n:translate="">Clearance Data</span>
+      </a>
+    </li>
+    <li>
+      <a href="#tab2" data-toggle="tab">
+        <span i18n:translate="">Scans</span>
+      </a>
+    </li>
   </ul>
   <div class="tab-content">
-    <div id="tab-1" tal:attributes="class view/tab1">
+    <div id="tab1" class="active tab-pane">
       <table class="form-table">
         <tbody>
@@ -23,5 +29,5 @@
     </div>
 
-    <div id="tab-2" tal:attributes="class view/tab2">
+    <div id="tab2" class="tab-pane">
       <table class="form-table">
         <tbody>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/enterpin.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/enterpin.pt	(revision 11012)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/enterpin.pt	(revision 11013)
@@ -8,7 +8,7 @@
         <td>
         <span tal:replace="view/ac_prefix">PIN Prefix</span> -
-        <input name="ac_series" type="text" class="span1" maxlength="3"
+        <input name="ac_series" type="text" maxlength="3"
                value="" tal:attributes="value view/ac_series"/> -
-        <input name="ac_number" type="text" class="span3" maxlength="10"
+        <input name="ac_number" type="text" maxlength="10"
                value="" tal:attributes="value view/ac_number" />
         <font color="red"><span tal:replace="view/notice">Notice</span>
@@ -24,5 +24,5 @@
       <tr>
         <td colspan="2">
-          <input type="submit" name="SUBMIT" class="btn primary"
+          <input type="submit" name="SUBMIT" class="btn btn-primary"
                  tal:attributes="value view/buttonname" />
         </td>
@@ -36,5 +36,5 @@
       clicking the button below.
     </p>
-    <input type="submit" name="SUBMIT" class="btn primary"
+    <input type="submit" name="SUBMIT" class="btn btn-primary"
            tal:attributes="value view/buttonname" />
   </span>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/imageupload.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/imageupload.pt	(revision 11012)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/imageupload.pt	(revision 11013)
@@ -9,5 +9,5 @@
      tal:attributes="id python:('delete_%s' % viewlet.input_name);
         name python:('delete_%s' % viewlet.input_name)"
-     value="Delete" class="btn error" />
+     value="Delete" class="btn btn-danger" />
     <br /><br />
     <input type="file" tal:attributes="name viewlet/input_name"/>
@@ -17,5 +17,5 @@
                 name python:('upload_%s' % viewlet.input_name);
                 value viewlet/upload_button"
-             value="Upload" class="btn primary" />
+             value="Upload" class="btn btn-primary" />
     <span i18n:translate="">
       Max. file size:
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studycoursemanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studycoursemanagepage.pt	(revision 11012)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studycoursemanagepage.pt	(revision 11013)
@@ -2,15 +2,20 @@
       i18n:domain="waeup.kofa" enctype="multipart/form-data">
 
-  <ul class="tabs" data-tabs="tabs">
-    <li tal:attributes="class view/tab1"><a href="#tab-1">
-      <span i18n:translate="">Study Course Data</span></a>
+  <ul class="tabs nav nav-tabs" data-tabs="tabs">
+    <li class="active">
+      <a href="#tab1" data-toggle="tab">
+        <span i18n:translate="">Study Course Data</span>
+      </a>
     </li>
-    <li tal:attributes="class view/tab2"><a href="#tab-2">
-      <span i18n:translate="">Study Levels</span></a>
+    <li t>
+      <a href="#tab2" data-toggle="tab">
+        <span i18n:translate="">Study Levels</span>
+      </a>
     </li>
   </ul>
 
   <div class="tab-content">
-    <div id="tab-1" tal:attributes="class view/tab1">
+    <div id="tab1" class="active tab-pane">
+      <br />
       <table class="form-table">
       <tbody>
@@ -27,7 +32,7 @@
     </div>
 
-    <div id="tab-2" tal:attributes="class view/tab2">
-      <h3 i18n:translate="">Study Levels (Course Lists)</h3>
-      <table class="display dataTableManage">
+    <div id="tab2" class="tab-pane">
+      <br />
+      <table class="dataTableManage">
         <thead>
           <tr>
@@ -44,5 +49,5 @@
         		 tal:attributes="value cl/__name__" />
             </td>
-            <td> <a tal:attributes="href cl/__name__">
+            <td> <a tal:attributes="href python:view.url(cl)">
               <span tal:content="cl/level">CODE</span></a>
             </td>
@@ -62,26 +67,33 @@
       </div>
       <br /><br /><br />
-      <div>
+
+
+      <div class="form-inline">
         <span tal:condition="view/availableActions">
-          <span tal:repeat="action view/actions"
-                tal:omit-tag="">
-            <input tal:condition="python:action.label in view.tabthreeactions"
-                   tal:replace="structure action/render"/>
-          </span>
+          <div tal:repeat="action view/actions"
+              class="form-group">
+              <input tal:condition="python:action.label in view.tabthreeactions"
+                     tal:replace="structure action/render"/>
+          </div>
         </span>
-        <select id="addlevel" name="addlevel" class='span5'>
-          <option tal:attributes="value level/code" tal:repeat="level view/level_dicts">
-            <span tal:replace="level/title">LEVELTITLE
-          </span>
-          </option>
-        </select>
+        <div class="form-group">
+          <select id="addlevel" name="addlevel">
+            <option tal:attributes="value level/code" tal:repeat="level view/level_dicts">
+              <span tal:replace="level/title">LEVELTITLE
+            </span>
+            </option>
+          </select>
+        </div>
         &nbsp;&nbsp;<span i18n:translate="">in session</span>&nbsp;&nbsp;
-        <select id="level_session" name="level_session" class='span3'>
-          <option tal:attributes="value session/code" tal:repeat="session view/session_dicts">
-            <span tal:replace="session/title">LEVELSESSION
-          </span>
-          </option>
-        </select>
+        <div class="form-group">
+          <select id="level_session" name="level_session">
+            <option tal:attributes="value session/code" tal:repeat="session view/session_dicts">
+              <span tal:replace="session/title">LEVELSESSION
+            </span>
+            </option>
+          </select>
+        </div>
       </div>
+
     </div>
   </div>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studycoursepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studycoursepage.pt	(revision 11012)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studycoursepage.pt	(revision 11013)
@@ -64,5 +64,5 @@
 <h3 i18n:domain="waeup.kofa" i18n:translate="">Study Levels (Course Lists)</h3>
 
-<table i18n:domain="waeup.kofa">
+<table i18n:domain="waeup.kofa" class="table">
   <thead>
     <tr>
@@ -72,6 +72,6 @@
   </thead>
   <tbody>
-    <tr class="gradeC" tal:repeat="value context/values">
-      <td> <a tal:attributes="href value/__name__">
+    <tr tal:repeat="value context/values">
+      <td> <a tal:attributes="href python:view.url(value)">
       <span tal:content="value/level">CODE</span></a></td>
       <td tal:content="value/level_title">TITLE</td>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelmanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelmanagepage.pt	(revision 11012)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelmanagepage.pt	(revision 11013)
@@ -2,15 +2,20 @@
       i18n:domain="waeup.kofa" enctype="multipart/form-data">
 
-  <ul class="tabs" data-tabs="tabs">
-    <li tal:attributes="class view/tab1"><a href="#tab-1">
-      <span i18n:translate="">Study Level Data</span></a>
+  <ul class="tabs nav nav-tabs" data-tabs="tabs">
+    <li class="active">
+      <a href="#tab1" data-toggle="tab">
+        <span i18n:translate="">Study Level Data</span>
+      </a>
     </li>
-    <li tal:attributes="class view/tab2"><a href="#tab-2">
-      <span i18n:translate="">Course Tickets</span>
-    </a></li>
+    <li>
+      <a href="#tab2" data-toggle="tab">
+        <span i18n:translate="">Course Tickets</span>
+      </a>
+    </li>
   </ul>
 
   <div class="tab-content">
-    <div id="tab-1" tal:attributes="class view/tab1">
+    <div id="tab1" class="active tab-pane">
+      <br />
       <table class="form-table">
       <tbody>
@@ -27,6 +32,6 @@
     </div>
 
-    <div id="tab-2" tal:attributes="class view/tab2">
-      <h3 i18n:translate="">Course Tickets</h3>
+    <div id="tab2" class="tab-pane">
+      <br />
       <table class="display dataTableManage">
       <thead>
@@ -74,21 +79,17 @@
         </span>
       </div>
-
       <br /><br /><br />
-      <table class="input-table">
-        <tr>
-          <td>
-            <input class="btn primary" type="submit" name="ADD"
+      <div class="form-inline">
+        <div class="form-group">
+            <input class="btn btn-primary" type="submit" name="ADD"
                    i18n:translate=""
                    value="Add course ticket" />
-          </td>
-          <td>
-            <input type="text" name="course" />
-            <div class="hint" i18n:translate="">
-                Enter valid course code.
-            </div>
-          </td>
-        </tr>
-      </table>
+        </div>
+        <div class="form-group">
+            <input type="text" name="course" class="form-control"
+                   tal:attributes="placeholder view/placeholder" />
+        </div>
+      </div>
+      <br />
       <p i18n:translate="">
         You don't know the course code? Then select a course
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelpage.pt	(revision 11012)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelpage.pt	(revision 11013)
@@ -1,5 +1,3 @@
 <table class="form-table" i18n:domain="waeup.kofa">
-  <thead>
-  </thead>
   <tbody>
     <tal:block repeat="widget view/widgets">
@@ -20,38 +18,40 @@
 <h3 i18n:domain="waeup.kofa" i18n:translate="">Course Tickets</h3>
 
-<table class="display dataTable" i18n:domain="waeup.kofa">
-  <thead>
-    <tr>
-      <th i18n:translate="">Term</th>
-      <th i18n:translate="">Code</th>
-      <th i18n:translate="">Title</th>
-      <th i18n:translate="">Dep.</th>
-      <th i18n:translate="">Fac.</th>
-      <th i18n:translate="">Cred.</th>
-      <th i18n:translate="">Requ.</th>
-      <th i18n:translate="">Score</th>
-      <th i18n:translate="">Grade</th>
-      <th i18n:translate="">CO</th>
-      <th i18n:translate="">Auto</th>
-    </tr>
-  </thead>
-  <tbody>
-    <tr tal:repeat="value view/translated_values" class="gradeC">
-      <td tal:content="value/semester" nowrap>TERM</td>
-      <td> <a tal:attributes="href value/__name__">
-      <span tal:content="value/code">CODE</span>
-      </a></td>
-      <td tal:content="value/title">TITLE</td>
-      <td tal:content="value/dcode">DEPARTMENT</td>
-      <td tal:content="value/fcode">FACULTY</td>
-      <td tal:content="value/credits">CREDITS</td>
-      <td tal:content="value/mandatory">MANDATORY</td>
-      <td tal:content="value/score|nothing">SCORE</td>
-      <td tal:content="value/grade|nothing">GRADE</td>
-      <td tal:content="value/carry_over">CO</td>
-      <td tal:content="value/automatic">AUTO</td>
-    </tr>
-  </tbody>
-</table>
+<div class="table-responsive">
+  <table class="dataTable" i18n:domain="waeup.kofa">
+    <thead>
+      <tr>
+        <th i18n:translate="">Term</th>
+        <th i18n:translate="">Code</th>
+        <th i18n:translate="">Title</th>
+        <th i18n:translate="">Dep.</th>
+        <th i18n:translate="">Fac.</th>
+        <th i18n:translate="">Cred.</th>
+        <th i18n:translate="">Requ.</th>
+        <th i18n:translate="">Score</th>
+        <th i18n:translate="">Grade</th>
+        <th i18n:translate="">CO</th>
+        <th i18n:translate="">Auto</th>
+      </tr>
+    </thead>
+    <tbody>
+      <tr tal:repeat="value view/translated_values">
+        <td tal:content="value/semester" nowrap>TERM</td>
+        <td> <a tal:attributes="href value/__name__">
+        <span tal:content="value/code">CODE</span>
+        </a></td>
+        <td tal:content="value/title">TITLE</td>
+        <td tal:content="value/dcode">DEPARTMENT</td>
+        <td tal:content="value/fcode">FACULTY</td>
+        <td tal:content="value/credits">CREDITS</td>
+        <td tal:content="value/mandatory">MANDATORY</td>
+        <td tal:content="value/score|nothing">SCORE</td>
+        <td tal:content="value/grade|nothing">GRADE</td>
+        <td tal:content="value/carry_over">CO</td>
+        <td tal:content="value/automatic">AUTO</td>
+      </tr>
+    </tbody>
+  </table>
+</div>
 
 
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/viewlets.py
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/viewlets.py	(revision 11012)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/viewlets.py	(revision 11013)
@@ -891,5 +891,5 @@
     template = default_fileupload_template
     grok.require('waeup.uploadStudentFile')
-    tab_redirect = '?tab2'
+    tab_redirect = '#tab2'
     mus = 1024 * 150
     upload_button =_('Upload new file')
@@ -959,5 +959,5 @@
     mus = 1024 * 50
     download_name = u'passport.jpg'
-    tab_redirect = '?tab2'
+    tab_redirect = '#tab2'
 
 class PassportUploadEdit(PassportUploadManage):
@@ -986,5 +986,5 @@
     mus = 1024 * 150
     download_name = u'birth_certificate'
-    tab_redirect = '?tab2'
+    tab_redirect = '#tab2'
 
 class Image(grok.View):