Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/browser_templates/containermanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/browser_templates/containermanagepage.pt	(revision 10885)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/browser_templates/containermanagepage.pt	(revision 11015)
@@ -4,17 +4,20 @@
 
 
-  <ul class="tabs" data-tabs="tabs">
-    <li tal:attributes="class view/tab1">
-    <a href="#tab-1">
-      <span i18n:translate="">Settings
-      </span></a>
+  <ul class="tabs nav nav-tabs" data-tabs="tabs">
+    <li class="active">
+      <a href="#tab1" data-toggle="tab" i18n:translate="">
+        Settings
+      </a>
     </li>
-    <li tal:attributes="class view/tab2">
-    <a href="#tab-2" i18n:translate="">Hostels</a>
+    <li>
+      <a href="#tab2" data-toggle="tab" i18n:translate="">
+        Hostels
+      </a>
     </li>
   </ul>
 
   <div class="tab-content">
-    <div id="tab-1" tal:attributes="class view/tab1">
+    <div id="tab1" class="active tab-pane">
+      <br />
       <table class="form-table">
         <tbody>
@@ -29,6 +32,7 @@
       </div>
     </div>
-    <div id="tab-2" tal:attributes="class view/tab2"> <br />
-      <table class="display dataTableManage">
+    <div id="tab2" class="tab-pane">
+      <br />
+      <table class="dataTableManage">
         <thead>
           <tr>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/browser_templates/containerpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/browser_templates/containerpage.pt	(revision 10885)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/browser_templates/containerpage.pt	(revision 11015)
@@ -16,5 +16,5 @@
 </table>
 
-<table i18n:domain="waeup.kofa">
+<table i18n:domain="waeup.kofa" class="table">
   <thead>
     <tr>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/browser_templates/hostelmanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/browser_templates/hostelmanagepage.pt	(revision 10885)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/browser_templates/hostelmanagepage.pt	(revision 11015)
@@ -2,15 +2,20 @@
       i18n:domain="waeup.kofa" enctype="multipart/form-data">
 
-  <ul class="tabs" data-tabs="tabs">
-    <li tal:attributes="class view/tab1"><a href="#tab-1">
-      <span i18n:translate="">Hostel Data</span></a>
+  <ul class="tabs nav nav-tabs" data-tabs="tabs">
+    <li class="active">
+      <a href="#tab1" data-toggle="tab">
+        <span i18n:translate="">Hostel Data</span>
+      </a>
     </li>
-    <li tal:attributes="class view/tab2"><a href="#tab-2">
-      <span i18n:translate="">Beds</span></a>
+    <li>
+      <a href="#tab2" data-toggle="tab">
+        <span i18n:translate="">Beds</span>
+      </a>
     </li>
   </ul>
 
   <div class="tab-content">
-    <div id="tab-1" tal:attributes="class view/tab1">
+    <div id="tab1" class="active tab-pane">
+      <br />
       <table class="form-table">
       <tbody>
@@ -37,39 +42,39 @@
     </div>
 
-    <div id="tab-2" tal:attributes="class view/tab2">
-      <h3>Beds</h3>
-      <table class="display dataTableManage">
-      <thead>
-        <tr>
-          <th>&nbsp;</th>
-          <th i18n:translate="">Id</th>
-          <th i18n:translate="">Type</th>
-          <th i18n:translate="">Number</th>
-          <th i18n:translate="">Owner</th>
-        </tr>
-      </thead>
-      <tbody>
-        <tr tal:repeat="value context/values">
-           <td>
-            <input type="checkbox" name="val_id"
-      		  tal:attributes="value value/__name__" />
-          </td>
-          <td tal:content="value/bed_id">ID</td>
-          <td tal:content="value/bed_type">TYPE</td>
-          <td tal:content="value/bed_number">NUMBER</td>
-          <td>
-            <a tal:condition="python: value.owner != view.not_occupied"
-               tal:attributes="href python: '%s/%s/accommodation' %
-                    (view.students_url,value.owner)">
-              <span tal:content="value/owner">OWNER</span>
-            </a>
-            <a tal:condition="python: value.owner == view.not_occupied"
-               tal:attributes="href python: view.url(value)"
-               i18n:translate="">
-            [allocate student]
-            </a>
-          </td>
-        </tr>
-      </tbody>
+    <div id="tab2" class="tab-pane">
+      <br />
+      <table class="dataTableManage">
+        <thead>
+          <tr>
+            <th>&nbsp;</th>
+            <th i18n:translate="">Id</th>
+            <th i18n:translate="">Type</th>
+            <th i18n:translate="">Number</th>
+            <th i18n:translate="">Owner</th>
+          </tr>
+        </thead>
+        <tbody>
+          <tr tal:repeat="value context/values">
+             <td>
+              <input type="checkbox" name="val_id"
+        		  tal:attributes="value value/__name__" />
+            </td>
+            <td tal:content="value/bed_id">ID</td>
+            <td tal:content="value/bed_type">TYPE</td>
+            <td tal:content="value/bed_number">NUMBER</td>
+            <td>
+              <a tal:condition="python: value.owner != view.not_occupied"
+                 tal:attributes="href python: '%s/%s/accommodation' %
+                      (view.students_url,value.owner)">
+                <span tal:content="value/owner">OWNER</span>
+              </a>
+              <a tal:condition="python: value.owner == view.not_occupied"
+                 tal:attributes="href python: view.url(value)"
+                 i18n:translate="">
+              [allocate student]
+              </a>
+            </td>
+          </tr>
+        </tbody>
       </table>
 
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/tests.py
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/tests.py	(revision 10885)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/tests.py	(revision 11015)
@@ -368,5 +368,5 @@
         self.browser.open(self.container_path + '/hall-1/hall-1_A_101_A')
         self.assertEqual(self.browser.url,
-            self.container_path + '/hall-1/@@manage?tab2')
+            self.container_path + '/hall-1/@@manage#tab2')
         # Updating the beds again will not affect the allocation and also
         # the bed numbering remains the same