Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/reportscontainercreate.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/reportscontainercreate.pt	(revision 11024)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/reportscontainercreate.pt	(revision 11025)
@@ -8,25 +8,20 @@
   </p>
   <br />
-  <div class="clearfix">
-    <label for="generator">Report Type:</label>
-    <div class="input">
-      <select name="generator">
-        <span tal:repeat="items view/creators" tal:omit-tag="">
-          <option
-              tal:define="name python: items[1]; title python: items[0]"
-              tal:attributes="value name">
-            <span tal:replace="title">TITLE</span>
-          </option>
-        </span>
-      </select>
-      <div class="help-inline" i18n:translate="">
-        Type of report to create
-      </div>
-    </div>
+  <div class="form-group">
+    <label for="generator">Report Type</label>
+    <select name="generator" class="form-control">
+      <span tal:repeat="items view/creators" tal:omit-tag="">
+        <option
+            tal:define="name python: items[1]; title python: items[0]"
+            tal:attributes="value name">
+          <span tal:replace="title">TITLE</span>
+        </option>
+      </span>
+    </select>
   </div>
-  <div class="input">
-    <input i18n:translate="" type="submit" class="btn primary"
+  <div class="form-group">
+    <input i18n:translate="" type="submit" class="btn btn-primary"
            name="START_GENERATOR" value="Configure" />
-    <a class="btn secondary" href=""
+    <a class="btn btn-default" href=""
        tal:attributes="href python:view.url(context)">Cancel</a>
   </div>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/reportscontainerpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/reportscontainerpage.pt	(revision 11024)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/reportscontainerpage.pt	(revision 11025)
@@ -1,3 +1,3 @@
-<table i18n:domain="waeup.kofa">
+<table i18n:domain="waeup.kofa" class="table">
   <thead>
     <tr>
@@ -31,11 +31,11 @@
           <input type="hidden" name="job_id"
                  tal:attributes="value python: entry[0]" />
-          <input type="submit" class="btn small primary"
+          <input type="submit" class="btn btn-sm btn-primary"
                  name="DOWNLOAD" value="Download"
                  tal:condition="python: entry[4]" />
-          <input type="submit" class="btn small secondary"
+          <input type="submit" class="btn btn-sm btn-default"
                  name="DISCARD" value="Discard"
                  tal:condition="python: entry[3]" />
-          <a href="" class="btn" i18n:translate=""
+          <a href="" class="btn btn-sm btn-default" i18n:translate=""
              tal:condition="python: entry[5]">
             <img tal:attributes="src static/actionicon_reload.png" />
@@ -48,8 +48,7 @@
 </table>
 <form method="POST" i18n:domain="waeup.kofa">
-  <div class="span12">
-    <a href="create" class="btn primary" i18n:translate="">
-      Create new report
-    </a>
-  </div>
+  <a tal:attributes="href python:view.url(context, 'create')"
+     class="btn btn-primary" i18n:translate="">
+    Create new report
+  </a>
 </form>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser.py	(revision 11024)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser.py	(revision 11025)
@@ -120,4 +120,5 @@
         value._p_activate()
         value_dict = dict([i for i in value.__dict__.items()])
+        value_dict['url'] = view.url(value)
         value_dict['removable_by_student'] = value.removable_by_student
         value_dict['mandatory'] = translate(str(value.mandatory), 'zope',
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportconfig.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportconfig.pt	(revision 11024)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportconfig.pt	(revision 11025)
@@ -1,3 +1,3 @@
-<p class="alert-message warning"  i18n:domain="waeup.kofa"
+<p class="alert alert-warning"  i18n:domain="waeup.kofa"
    i18n:translate="student_export_warning">
   <strong>NOTICE:</strong>
@@ -12,55 +12,45 @@
 <form i18n:domain="waeup.kofa" method="POST">
   <label for="mode" i18n:translate="">
-    Exporter (Data Type):
+    Exporter (Data Type)
   </label>
-  <div class="input">
-    <select name="exporter">
-      <option tal:repeat="item view/exporters"
-              tal:attributes="value python:item[1]">
-        <span tal:replace="python: item[0]">Students</span>
-      </option>
-    </select>
-  </div>
+  <select name="exporter" class="form-control">
+    <option tal:repeat="item view/exporters"
+            tal:attributes="value python:item[1]">
+      <span tal:replace="python: item[0]">Students</span>
+    </option>
+  </select>
   <br />
   <label for="session" i18n:translate="">
-    Current Session:
+    Current Session
   </label>
-  <div class="input">
-    <select name="session">
-      <option tal:repeat="item view/sessions"
-              tal:attributes="value python:item[1]">
-        <span tal:replace="python: item[0]">2012/2013</span>
-      </option>
-    </select>
-  </div>
+  <select name="session" class="form-control">
+    <option tal:repeat="item view/sessions"
+            tal:attributes="value python:item[1]">
+      <span tal:replace="python: item[0]">2012/2013</span>
+    </option>
+  </select>
   <br />
   <label for="level" i18n:translate="">
-    Current Level:
+    Current Level
   </label>
-  <div class="input">
-    <select name="level">
-      <option tal:repeat="item view/levels"
-              tal:attributes="value python:item[1]">
-        <span tal:replace="python: item[0]">200</span>
-      </option>
-    </select>
-  </div>
+  <select name="level" class="form-control">
+    <option tal:repeat="item view/levels"
+            tal:attributes="value python:item[1]">
+      <span tal:replace="python: item[0]">200</span>
+    </option>
+  </select>
   <br />
   <label for="mode" i18n:translate="">
-    Current Study Mode:
+    Current Study Mode
   </label>
-  <div class="input">
-    <select name="mode">
-      <option tal:repeat="item view/modes"
-              tal:attributes="value python:item[1]">
-        <span tal:replace="python: item[0]">ug_ft</span>
-      </option>
-    </select>
-  </div>
+  <select name="mode" class="form-control">
+    <option tal:repeat="item view/modes"
+            tal:attributes="value python:item[1]">
+      <span tal:replace="python: item[0]">ug_ft</span>
+    </option>
+  </select>
   <br /><br />
-  <div class="input">
   <input type="submit" name="START"  i18n:translate=""
     value="Create CSV file"
-    class="btn primary" />
-  </div>
+    class="btn btn-primary" />
 </form>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportconfig_certificate.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportconfig_certificate.pt	(revision 11024)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportconfig_certificate.pt	(revision 11025)
@@ -1,3 +1,3 @@
-<p class="alert-message warning"  i18n:domain="waeup.kofa"
+<p class="alert alert-warning"  i18n:domain="waeup.kofa"
    i18n:translate="student_export_warning">
   <strong>NOTICE:</strong>
@@ -12,43 +12,35 @@
 <form i18n:domain="waeup.kofa" method="POST">
   <label for="mode" i18n:translate="">
-    Exporter (Data Type):
+    Exporter (Data Type)
   </label>
-  <div class="input">
-    <select name="exporter">
-      <option tal:repeat="item view/exporters"
-              tal:attributes="value python:item[1]">
-        <span tal:replace="python: item[0]">Students</span>
-      </option>
-    </select>
-  </div>
+  <select name="exporter" class="form-control">
+    <option tal:repeat="item view/exporters"
+            tal:attributes="value python:item[1]">
+      <span tal:replace="python: item[0]">Students</span>
+    </option>
+  </select>
   <br />
   <label for="session" i18n:translate="">
-    Current Session:
+    Current Session
   </label>
-  <div class="input">
-    <select name="session">
-      <option tal:repeat="item view/sessions"
-              tal:attributes="value python:item[1]">
-        <span tal:replace="python: item[0]">2012/2013</span>
-      </option>
-    </select>
-  </div>
+  <select name="session" class="form-control">
+    <option tal:repeat="item view/sessions"
+            tal:attributes="value python:item[1]">
+      <span tal:replace="python: item[0]">2012/2013</span>
+    </option>
+  </select>
   <br />
   <label for="level" i18n:translate="">
-    Current Level:
+    Current Level
   </label>
-  <div class="input">
-    <select name="level">
-      <option tal:repeat="item view/levels"
-              tal:attributes="value python:item[1]">
-        <span tal:replace="python: item[0]">200</span>
-      </option>
-    </select>
-  </div>
+  <select name="level" class="form-control">
+    <option tal:repeat="item view/levels"
+            tal:attributes="value python:item[1]">
+      <span tal:replace="python: item[0]">200</span>
+    </option>
+  </select>
   <br /><br />
-  <div class="input">
   <input type="submit" name="START"  i18n:translate=""
     value="Create CSV file"
-    class="btn primary" />
-  </div>
+    class="btn btn-primary" />
 </form>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportconfig_course.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportconfig_course.pt	(revision 11024)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportconfig_course.pt	(revision 11025)
@@ -1,43 +1,46 @@
+<p class="alert alert-warning"  i18n:domain="waeup.kofa"
+   i18n:translate="student_export_warning">
+  <strong>NOTICE:</strong>
+  Student data exports are very computation intensive.
+  Depending on the filter selected and the portal traffic load, exports may take
+  longer than 15 minutes. You are advised to export data outside high-traffic
+  time periods.
+</p>
+
+<br />
+
 <form i18n:domain="waeup.kofa" method="POST">
   <label for="mode" i18n:translate="">
-    Exporter (Data Type):
+    Exporter (Data Type)
   </label>
-  <div class="input">
-    <select name="exporter">
-      <option tal:repeat="item view/exporters"
-              tal:attributes="value python:item[1]">
-        <span tal:replace="python: item[0]">Students</span>
-      </option>
-    </select>
-  </div>
+  <select name="exporter" class="form-control">
+    <option tal:repeat="item view/exporters"
+            tal:attributes="value python:item[1]">
+      <span tal:replace="python: item[0]">Students</span>
+    </option>
+  </select>
   <br />
   <label for="session" i18n:translate="">
-    Level Session:
+    Level Session
   </label>
-  <div class="input">
-    <select name="session">
-      <option tal:repeat="item view/sessions"
-              tal:attributes="value python:item[1]">
-        <span tal:replace="python: item[0]">2012/2013</span>
-      </option>
-    </select>
-  </div>
+  <select name="session" class="form-control">
+    <option tal:repeat="item view/sessions"
+            tal:attributes="value python:item[1]">
+      <span tal:replace="python: item[0]">2012/2013</span>
+    </option>
+  </select>
   <br />
   <label for="level" i18n:translate="">
-    Level:
+    Level
   </label>
-  <div class="input">
-    <select name="level">
-      <option tal:repeat="item view/levels"
-              tal:attributes="value python:item[1]">
-        <span tal:replace="python: item[0]">200</span>
-      </option>
-    </select>
-  </div>
+  <select name="level" class="form-control">
+    <option tal:repeat="item view/levels"
+            tal:attributes="value python:item[1]">
+      <span tal:replace="python: item[0]">200</span>
+    </option>
+  </select>
   <br /><br />
-  <div class="input">
   <input type="submit" name="START"  i18n:translate=""
     value="Create CSV file"
-    class="btn primary" />
-  </div>
+    class="btn btn-primary" />
 </form>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportjobsindex.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportjobsindex.pt	(revision 11024)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportjobsindex.pt	(revision 11025)
@@ -1,4 +1,4 @@
 <div class="table-responsive">
-  <table i18n:domain="waeup.kofa" class="table">
+  <table i18n:domain="waeup.kofa" class="table table-condensed">
     <thead>
       <tr>
@@ -26,5 +26,5 @@
           <span tal:replace="job/creator">CREATOR</span>
         </td>
-        <td nowrap>
+        <td>
           <span tal:replace="job/start_time">DATETIME</span>
         </td>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studyleveleditpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studyleveleditpage.pt	(revision 11024)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studyleveleditpage.pt	(revision 11025)
@@ -30,5 +30,5 @@
       </td>
       <td tal:content="value/semester" nowrap>TERM</td>
-      <td> <a tal:attributes="href value/__name__">
+      <td> <a tal:attributes="href value/url">
       <span tal:content="value/code">CODE</span>
       </a></td>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelmanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelmanagepage.pt	(revision 11024)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelmanagepage.pt	(revision 11025)
@@ -57,5 +57,5 @@
           </td>
           <td tal:content="value/semester" nowrap>TERM</td>
-          <td> <a tal:attributes="href value/__name__">
+          <td> <a tal:attributes="href value/url">
           <span tal:content="value/code">CODE</span>
           </a></td>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelpage.pt	(revision 11024)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelpage.pt	(revision 11025)
@@ -38,5 +38,5 @@
       <tr tal:repeat="value view/translated_values">
         <td tal:content="value/semester" nowrap>TERM</td>
-        <td> <a tal:attributes="href value/__name__">
+        <td> <a tal:attributes="href value/url">
         <span tal:content="value/code">CODE</span>
         </a></td>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/reports/browser_templates/levelreportgeneratorpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/reports/browser_templates/levelreportgeneratorpage.pt	(revision 11024)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/reports/browser_templates/levelreportgeneratorpage.pt	(revision 11025)
@@ -7,59 +7,42 @@
   </p>
   <br />
-  <div class="clearfix">
-    <label for="session" i18n:translate="">Department:</label>
-    <div class="input">
-      <select name="faccode_depcode">
-        <span tal:repeat="items view/faccode_depcodes" tal:omit-tag="">
-          <option
-              tal:define="name python: items[1]; title python: items[0]"
-              tal:attributes="value name">
-            <span tal:replace="title">TITLE</span>
-          </option>
-        </span>
-      </select>
-      <div class="help-inline" i18n:translate="">
-        Set department filter.
-      </div>
-    </div>
-    <br />
-    <label for="session">Academic Session:</label>
-    <div class="input">
-      <select name="session" i18n:translate="">
-        <span tal:repeat="items view/sessions" tal:omit-tag="">
-          <option
-              tal:define="name python: items[1]; title python: items[0]"
-              tal:attributes="value name">
-            <span tal:replace="title">TITLE</span>
-          </option>
-        </span>
-      </select>
-      <div class="help-inline" i18n:translate="">
-        Select academic session to report.
-      </div>
-    </div>
-    <br />
-    <label for="session">Level:</label>
-    <div class="input">
-      <select name="level" i18n:translate="">
-        <span tal:repeat="items view/levels" tal:omit-tag="">
-          <option
-              tal:define="name python: items[1]; title python: items[0]"
-              tal:attributes="value name">
-            <span tal:replace="title">TITLE</span>
-          </option>
-        </span>
-      </select>
-      <div class="help-inline" i18n:translate="">
-        Select level to report.
-      </div>
-    </div>
-
+  <label for="session" i18n:translate="">Department</label>
+  <select name="faccode_depcode" class="form-control">
+    <span tal:repeat="items view/faccode_depcodes" tal:omit-tag="">
+      <option
+          tal:define="name python: items[1]; title python: items[0]"
+          tal:attributes="value name">
+        <span tal:replace="title">TITLE</span>
+      </option>
+    </span>
+  </select>
+  <br />
+  <label for="session">Academic Session</label>
+  <div class="input">
+    <select name="session" i18n:translate="" class="form-control">
+      <span tal:repeat="items view/sessions" tal:omit-tag="">
+        <option
+            tal:define="name python: items[1]; title python: items[0]"
+            tal:attributes="value name">
+          <span tal:replace="title">TITLE</span>
+        </option>
+      </span>
+    </select>
   </div>
-  <div class="input">
-    <input i18n:translate="" type="submit" class="btn primary"
-           name="CREATE" value="Create" />
-    <a class="btn secondary" href=""
-       tal:attributes="href view/parent_url">Cancel</a>
-  </div>
+  <br />
+  <label for="session">Level</label>
+  <select name="level" i18n:translate="" class="form-control">
+    <span tal:repeat="items view/levels" tal:omit-tag="">
+      <option
+          tal:define="name python: items[1]; title python: items[0]"
+          tal:attributes="value name">
+        <span tal:replace="title">TITLE</span>
+      </option>
+    </span>
+  </select>
+  <br />
+  <input i18n:translate="" type="submit" class="btn btn-primary"
+         name="CREATE" value="Create" />
+  <a class="btn btn-default" href=""
+     tal:attributes="href view/parent_url">Cancel</a>
 </form>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/reports/browser_templates/studentstatisticsreportgeneratorpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/reports/browser_templates/studentstatisticsreportgeneratorpage.pt	(revision 11024)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/reports/browser_templates/studentstatisticsreportgeneratorpage.pt	(revision 11025)
@@ -7,43 +7,29 @@
   </p>
   <br />
-  <div class="clearfix">
-    <label for="session" i18n:translate="">Study Modes Group:</label>
-    <div class="input">
-      <select name="mode">
-        <span tal:repeat="items view/modes" tal:omit-tag="">
-          <option
-              tal:define="name python: items[1]; title python: items[0]"
-              tal:attributes="value name">
-            <span tal:replace="title">TITLE</span>
-          </option>
-        </span>
-      </select>
-      <div class="help-inline" i18n:translate="">
-        Set study modes filter.
-      </div>
-    </div>
-    <br />
-    <label for="session">Academic Session:</label>
-    <div class="input">
-      <select name="session" i18n:translate="">
-        <span tal:repeat="items view/sessions" tal:omit-tag="">
-          <option
-              tal:define="name python: items[1]; title python: items[0]"
-              tal:attributes="value name">
-            <span tal:replace="title">TITLE</span>
-          </option>
-        </span>
-      </select>
-      <div class="help-inline" i18n:translate="">
-        Select academic session to report.
-      </div>
-    </div>
-
-  </div>
-  <div class="input">
-    <input i18n:translate="" type="submit" class="btn primary"
-           name="CREATE" value="Create" />
-    <a class="btn secondary" href=""
-       tal:attributes="href view/parent_url">Cancel</a>
-  </div>
+  <label for="session" i18n:translate="">Study Modes Group</label>
+    <select name="mode" class="form-control">
+      <span tal:repeat="items view/modes" tal:omit-tag="">
+        <option
+            tal:define="name python: items[1]; title python: items[0]"
+            tal:attributes="value name">
+          <span tal:replace="title">TITLE</span>
+        </option>
+      </span>
+    </select>
+  <br />
+  <label for="session">Academic Session</label>
+  <select name="session" i18n:translate="" class="form-control">
+    <span tal:repeat="items view/sessions" tal:omit-tag="">
+      <option
+          tal:define="name python: items[1]; title python: items[0]"
+          tal:attributes="value name">
+        <span tal:replace="title">TITLE</span>
+      </option>
+    </span>
+  </select>
+  <br />
+  <input i18n:translate="" type="submit" class="btn btn-primary"
+         name="CREATE" value="Create" />
+  <a class="btn btn-default" href=""
+     tal:attributes="href view/parent_url">Cancel</a>
 </form>