Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containermanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containermanagepage.pt	(revision 11025)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containermanagepage.pt	(revision 11026)
@@ -4,5 +4,5 @@
     tal:attributes="value view/search_button" />
 
-  <select name="searchtype">
+  <select name="searchtype" class="form-control">
     <option i18n:translate="" value="student_id">with id</option>
     <option i18n:translate="" value="fullname">with name</option>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containerpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containerpage.pt	(revision 11025)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containerpage.pt	(revision 11026)
@@ -6,5 +6,5 @@
   </div>
   <div class="form-group">
-    <select name="searchtype">
+    <select name="searchtype" class="form-control">
       <option i18n:translate="" value="student_id">with id</option>
       <option i18n:translate="" value="fullname">with name</option>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportconfig.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportconfig.pt	(revision 11025)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportconfig.pt	(revision 11026)
@@ -14,5 +14,5 @@
     Exporter (Data Type)
   </label>
-  <select name="exporter" class="form-control">
+  <select name="exporter" class="form-control half">
     <option tal:repeat="item view/exporters"
             tal:attributes="value python:item[1]">
@@ -24,5 +24,5 @@
     Current Session
   </label>
-  <select name="session" class="form-control">
+  <select name="session" class="form-control half">
     <option tal:repeat="item view/sessions"
             tal:attributes="value python:item[1]">
@@ -34,5 +34,5 @@
     Current Level
   </label>
-  <select name="level" class="form-control">
+  <select name="level" class="form-control half">
     <option tal:repeat="item view/levels"
             tal:attributes="value python:item[1]">
@@ -44,5 +44,5 @@
     Current Study Mode
   </label>
-  <select name="mode" class="form-control">
+  <select name="mode" class="form-control half">
     <option tal:repeat="item view/modes"
             tal:attributes="value python:item[1]">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportconfig_certificate.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportconfig_certificate.pt	(revision 11025)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportconfig_certificate.pt	(revision 11026)
@@ -14,5 +14,5 @@
     Exporter (Data Type)
   </label>
-  <select name="exporter" class="form-control">
+  <select name="exporter" class="form-control half">
     <option tal:repeat="item view/exporters"
             tal:attributes="value python:item[1]">
@@ -24,5 +24,5 @@
     Current Session
   </label>
-  <select name="session" class="form-control">
+  <select name="session" class="form-control half">
     <option tal:repeat="item view/sessions"
             tal:attributes="value python:item[1]">
@@ -34,5 +34,5 @@
     Current Level
   </label>
-  <select name="level" class="form-control">
+  <select name="level" class="form-control half">
     <option tal:repeat="item view/levels"
             tal:attributes="value python:item[1]">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportconfig_course.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportconfig_course.pt	(revision 11025)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportconfig_course.pt	(revision 11026)
@@ -14,5 +14,5 @@
     Exporter (Data Type)
   </label>
-  <select name="exporter" class="form-control">
+  <select name="exporter" class="form-control half">
     <option tal:repeat="item view/exporters"
             tal:attributes="value python:item[1]">
@@ -24,5 +24,5 @@
     Level Session
   </label>
-  <select name="session" class="form-control">
+  <select name="session" class="form-control half">
     <option tal:repeat="item view/sessions"
             tal:attributes="value python:item[1]">
@@ -34,5 +34,5 @@
     Level
   </label>
-  <select name="level" class="form-control">
+  <select name="level" class="form-control half">
     <option tal:repeat="item view/levels"
             tal:attributes="value python:item[1]">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/filterstudentspage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/filterstudentspage.pt	(revision 11025)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/filterstudentspage.pt	(revision 11026)
@@ -5,5 +5,5 @@
   </label>
   <div class="input">
-    <select name="session">
+    <select name="session" class="form-control half">
       <span tal:repeat="item view/sessions" tal:omit-tag="">
         <option
@@ -22,5 +22,5 @@
   </label>
   <div class="input">
-  <select name="level">
+  <select name="level" class="form-control half">
     <span tal:repeat="item view/levels" tal:omit-tag="">
       <option
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/onlinepaymentaddform.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/onlinepaymentaddform.pt	(revision 11025)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/onlinepaymentaddform.pt	(revision 11026)
@@ -8,5 +8,6 @@
         </td>
         <td>
-          <select id="form.p_category" name="form.p_category" size="1" >
+          <select id="form.p_category" name="form.p_category" size="1"
+                  class="form-control half">
             <option tal:repeat="item view/selectable_categories"
                     tal:attributes="value python:item[0]">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studycoursemanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studycoursemanagepage.pt	(revision 11025)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studycoursemanagepage.pt	(revision 11026)
@@ -78,5 +78,5 @@
         </span>
         <div class="form-group">
-          <select id="addlevel" name="addlevel">
+          <select id="addlevel" name="addlevel" class="form-control">
             <option tal:attributes="value level/code" tal:repeat="level view/level_dicts">
               <span tal:replace="level/title">LEVELTITLE
@@ -87,5 +87,5 @@
         &nbsp;&nbsp;<span i18n:translate="">in session</span>&nbsp;&nbsp;
         <div class="form-group">
-          <select id="level_session" name="level_session">
+          <select id="level_session" name="level_session" class="form-control">
             <option tal:attributes="value session/code" tal:repeat="session view/session_dicts">
               <span tal:replace="session/title">LEVELSESSION
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/trigtrans.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/trigtrans.pt	(revision 11025)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/trigtrans.pt	(revision 11026)
@@ -4,5 +4,5 @@
 
 
-    <select id="transition" name="transition">
+    <select id="transition" name="transition" class="form-control half">
       <option tal:repeat="transition view/getTransitions"
               tal:attributes="value transition/name">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/reports/browser_templates/levelreportgeneratorpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/reports/browser_templates/levelreportgeneratorpage.pt	(revision 11025)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/reports/browser_templates/levelreportgeneratorpage.pt	(revision 11026)
@@ -8,5 +8,5 @@
   <br />
   <label for="session" i18n:translate="">Department</label>
-  <select name="faccode_depcode" class="form-control">
+  <select name="faccode_depcode" class="form-control half">
     <span tal:repeat="items view/faccode_depcodes" tal:omit-tag="">
       <option
@@ -20,5 +20,5 @@
   <label for="session">Academic Session</label>
   <div class="input">
-    <select name="session" i18n:translate="" class="form-control">
+    <select name="session" i18n:translate="" class="form-control half">
       <span tal:repeat="items view/sessions" tal:omit-tag="">
         <option
@@ -32,5 +32,5 @@
   <br />
   <label for="session">Level</label>
-  <select name="level" i18n:translate="" class="form-control">
+  <select name="level" i18n:translate="" class="form-control half">
     <span tal:repeat="items view/levels" tal:omit-tag="">
       <option
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/reports/browser_templates/studentstatisticsreportgeneratorpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/reports/browser_templates/studentstatisticsreportgeneratorpage.pt	(revision 11025)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/reports/browser_templates/studentstatisticsreportgeneratorpage.pt	(revision 11026)
@@ -8,5 +8,5 @@
   <br />
   <label for="session" i18n:translate="">Study Modes Group</label>
-    <select name="mode" class="form-control">
+    <select name="mode" class="form-control half">
       <span tal:repeat="items view/modes" tal:omit-tag="">
         <option
@@ -19,5 +19,5 @@
   <br />
   <label for="session">Academic Session</label>
-  <select name="session" i18n:translate="" class="form-control">
+  <select name="session" i18n:translate="" class="form-control half">
     <span tal:repeat="items view/sessions" tal:omit-tag="">
       <option