Index: /main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html	(revision 11026)
+++ /main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html	(revision 11027)
@@ -218,5 +218,4 @@
                 </div>
               </div><!-- /tab-content -->
-
             </div> <!-- /kofa-content -->
           </div> <!-- /well -->
@@ -275,11 +274,15 @@
               </thead><tbody><tr><td>admin</td>
                   <td>John</td>
-                  <td nowrap="nowrap">Portal Manager <br />Academics Officer (view only) </td>
+                  <td nowrap="nowrap">Portal Manager <br />
+                    Academics Officer (view only)
+                  </td>
                   <td>Owner</td>
                   <td class="text-right">
                     <form method="post">
                       <input type="hidden" name="userid" value="admin" />
-                      <input class="btn btn-sm btn-primary" type="submit" name="manage" value="Manage" />
-                      <input class="btn btn-sm btn-default" type="submit" name="delete" value="Remove" />
+                      <input class="btn btn-sm btn-primary" type="submit"
+                             name="manage" value="Manage" />
+                      <input class="btn btn-sm btn-default" type="submit"
+                             name="delete" value="Remove" />
                     </form>
                   </td>
@@ -293,6 +296,8 @@
                     <form method="post">
                       <input type="hidden" name="userid" value="your_id" />
-                      <input class="btn btn-sm btn-primary" type="submit" name="manage" value="Manage" />
-                      <input class="btn btn-sm btn-default" type="submit" name="delete" value="Remove" />
+                      <input class="btn btn-sm btn-primary" type="submit"
+                             name="manage" value="Manage" />
+                      <input class="btn btn-sm btn-default" type="submit"
+                             name="delete" value="Remove" />
                     </form>
                   </td>
@@ -310,9 +315,9 @@
               </div>
               <div class="form-group">
-                <select name="searchtype">
+                <select name="searchtype" class="form-control">
                   <option value="student_id">with id</option>
                   <option value="fullname">with name</option>
                   <option value="reg_number">with registration number</option>
-                  <option value="matric_number">with matriculation number</option>
+                  <option value="matric_number">with matric number</option>
                   <option value="current_session">in session</option>
                   <option value="depcode">in department</option>
@@ -361,5 +366,5 @@
                 <tr>
                   <td class="fieldname">
-                    Application Mode (Donec id elit non mi porta gravida at eget metus.):
+                    Application Mode (Donec id elit non mi porta gravida.):
                   </td>
                   <td>
@@ -389,5 +394,6 @@
                   <td>
                     <input class="textType" id="form.title" name="form.title"
-                           size="20" type="text" value="General Studies 2012/2013" />
+                           size="20" type="text"
+                           value="General Studies 2012/2013" />
                   </td>
                 </tr>
@@ -411,15 +417,26 @@
                   <td class="fieldname">
                     <span>*</span>
-                    <span>Application Mode (Donec id elit non mi porta gravida at eget metus.)</span>:
+                    <span>
+                      Application Mode
+                      (A select field coming from zope.formlib:)
+                    </span>:
                   </td>
                   <td>
                     <div class="value">
-                    <select id="form.mode" name="form.mode" size="1"><option selected="selected" value="create">Create Application Records</option><option value="update">Update Application Records</option></select></div>
-                    <input name="form.mode-empty-marker" type="hidden" value="1" />
-                  </td>
-                </tr>
-                <tr>
-                  <td class="fieldname">
-                      <span>Any Date</span>:
+                      <select id="form.mode" name="form.mode" size="1">
+                        <option selected="selected" value="create">
+                          Create Application Records
+                        </option>
+                        <option value="update">Update Application Records
+                        </option>
+                      </select>
+                    </div>
+                    <input name="form.mode-empty-marker"
+                           type="hidden" value="1" />
+                  </td>
+                </tr>
+                <tr>
+                  <td class="fieldname">
+                      <span>A datepicker field</span>:
                   </td>
                   <td>
@@ -430,12 +447,25 @@
                 </tr>
 
-
+                <tr>
+                  <td class="fieldname">
+                      A select field in Kofa pagetemplates:
+                  </td>
+                  <td>
+                      <select id="any_id" name="any_name" size="1"
+                              class="form-control half">
+                        <option selected="selected" value="create">
+                            Create Application Records
+                        </option>
+                        <option value="update">
+                            Update Application Records
+                        </option>
+                      </select>
+                  </td>
+                </tr>
               </tbody>
             </table>
-
           </div> <!-- /well kofa-content-->
         </div> <!-- /kofa-content-wide -->
       </div> <!-- /row -->
-
       <div class="footer">
         <p class="credit muted text-right">
@@ -444,5 +474,4 @@
         </p>
       </div>
-
     </div> <!-- /container -->
 