Index: main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/IE8.css
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/IE8.css	(revision 11031)
+++ main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/IE8.css	(revision 11031)
@@ -0,0 +1,8 @@
+body {
+    padding-top: 60px;
+}
+
+ .navbar-brand {
+    padding-top:15px;
+    padding-bottom:15px;
+}
Index: main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css	(revision 11030)
+++ main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css	(revision 11031)
@@ -251,3 +251,7 @@
   }
 
-}
+.value select, .half {
+    width: 100%;
+}
+
+}
Index: main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html	(revision 11030)
+++ main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html	(revision 11031)
@@ -23,4 +23,5 @@
       <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
       <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
+      <link href="static/css/IE8.css" rel="stylesheet">
     <![endif]-->
 
@@ -66,6 +67,6 @@
 
         <ul class="nav navbar-nav navbar-right kofa-navbar-right">
-          <li class="nav"><a href="#">Contact</a></li>
-          <li class="nav"><a href="#">Logout</a></li>
+          <li><a href="#">Contact</a></li>
+          <li><a href="#">Logout</a></li>
           <li class="dropdown kofa-langselect">
             <a href="#" class="dropdown-toggle"
@@ -310,46 +311,48 @@
             <br><br>
             <h3>A Sample Data Table</h3>
-            <table id="#dadatable" class="table table-striped dataTable">
-              <thead>
-                <tr>
-                  <th>Id</th>
-                  <th>Name</th>
-                  <th>Portal Roles</th>
-                  <th>Local Roles</th>
-                  <th></th>
-                </tr>
-              </thead><tbody><tr><td>admin</td>
-                  <td>John</td>
-                  <td nowrap="nowrap">Portal Manager <br />
-                    Academics Officer (view only)
-                  </td>
-                  <td>Owner</td>
-                  <td class="text-right">
-                    <form method="post">
-                      <input type="hidden" name="userid" value="admin" />
-                      <input class="btn btn-sm btn-primary" type="submit"
-                             name="manage" value="Manage" />
-                      <input class="btn btn-sm btn-default" type="submit"
-                             name="delete" value="Remove" />
-                    </form>
-                  </td>
-                </tr>
-                <tr>
-                  <td>tester</td>
-                  <td>Vitali</td>
-                  <td nowrap="nowrap">Academics Officer (view only)</td>
-                  <td>Owner</td>
-                  <td class="text-right">
-                    <form method="post">
-                      <input type="hidden" name="userid" value="your_id" />
-                      <input class="btn btn-sm btn-primary" type="submit"
-                             name="manage" value="Manage" />
-                      <input class="btn btn-sm btn-default" type="submit"
-                             name="delete" value="Remove" />
-                    </form>
-                  </td>
-                </tr>
-              </tbody>
-            </table>
+            <div class="table-responsive">
+              <table id="#dadatable" class="table table-striped dataTable">
+                <thead>
+                  <tr>
+                    <th>Id</th>
+                    <th>Name</th>
+                    <th>Portal Roles</th>
+                    <th>Local Roles</th>
+                    <th></th>
+                  </tr>
+                </thead><tbody><tr><td>admin</td>
+                    <td>John</td>
+                    <td nowrap="nowrap">Portal Manager <br />
+                      Academics Officer (view only)
+                    </td>
+                    <td>Owner</td>
+                    <td class="text-right">
+                      <form method="post">
+                        <input type="hidden" name="userid" value="admin" />
+                        <input class="btn btn-sm btn-primary" type="submit"
+                               name="manage" value="Manage" />
+                        <input class="btn btn-sm btn-default" type="submit"
+                               name="delete" value="Remove" />
+                      </form>
+                    </td>
+                  </tr>
+                  <tr>
+                    <td>tester</td>
+                    <td>Vitali</td>
+                    <td nowrap="nowrap">Academics Officer (view only)</td>
+                    <td>Owner</td>
+                    <td class="text-right">
+                      <form method="post">
+                        <input type="hidden" name="userid" value="your_id" />
+                        <input class="btn btn-sm btn-primary" type="submit"
+                               name="manage" value="Manage" />
+                        <input class="btn btn-sm btn-default" type="submit"
+                               name="delete" value="Remove" />
+                      </form>
+                    </td>
+                  </tr>
+                </tbody>
+              </table>
+            </div>
 
             <br><br>