Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/staffsitelayout.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/staffsitelayout.pt	(revision 11032)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/staffsitelayout.pt	(revision 11033)
@@ -18,54 +18,48 @@
             href python: view.url(layout.site, 'feed.rss')" />
   </head>
+
+  <!-- Diazo element-->
   <body class="page kofa-body">
-    <div class="topbar" data-scrollspy="scrollspy" >
-      <div class="topbar-inner">
-        <div class="container-fluid">
 
-          <!-- Diazo element-->
-          <a class="kofa-brand-link" href="#"
-              tal:attributes="href python: view.url(layout.site)"
-              tal:content="layout/getAppAcronym">ACRONYM
-          </a>
-          <!-- /Diazo element-->
+    <!-- Diazo element-->
+    <a class="kofa-brand-link" href="#"
+        tal:attributes="href python: view.url(layout.site)"
+        tal:content="layout/getAppAcronym">ACRONYM
+    </a>
+    <!-- /Diazo element-->
 
-          <!-- Diazo element-->
-          <ul class="nav kofa-navbar-left"> 
-            <tal:primary_nav content="structure provider:primary_nav" />
-          </ul>
-          <!-- /Diazo element-->
+    <!-- Diazo element-->
+    <ul class="nav kofa-navbar-left"> 
+      <tal:primary_nav content="structure provider:primary_nav" />
+    </ul>
+    <!-- /Diazo element-->
 
-          <!-- Diazo element-->
-          <ul class="nav secondary-nav kofa-navbar-right">
-            <li tal:condition="not: layout/isAuthenticated">
-            <a href="#" i18n:translate=""
-                tal:attributes="href python: view.url(layout.site, 'login')">
-                Login
-            </a>
-            </li>
-            <li tal:condition="layout/isAuthenticated">
-            <a href="#" i18n:translate=""
-               tal:attributes="href python: view.url(layout.site, '@@contactadmin')">
-               Contact
-            </a>
-            </li>
-            <li tal:condition="layout/isAuthenticated">
-            <a href="#" i18n:translate=""
-               tal:attributes="href python: view.url(context, '@@logout')">
-               Logout
-            </a>
-            </li>
-          </ul>
-          <!-- /Diazo element-->
+    <!-- Diazo element-->
+    <ul class="nav secondary-nav kofa-navbar-right">
+      <li tal:condition="not: layout/isAuthenticated">
+      <a href="#" i18n:translate=""
+          tal:attributes="href python: view.url(layout.site, 'login')">
+          Login
+      </a>
+      </li>
+      <li tal:condition="layout/isAuthenticated">
+      <a href="#" i18n:translate=""
+         tal:attributes="href python: view.url(layout.site, '@@contactadmin')">
+         Contact
+      </a>
+      </li>
+      <li tal:condition="layout/isAuthenticated">
+      <a href="#" i18n:translate=""
+         tal:attributes="href python: view.url(context, '@@logout')">
+         Logout
+      </a>
+      </li>
+    </ul>
+    <!-- /Diazo element-->
 
-          <span class="language"
-                tal:define="langs provider:languages"
-                tal:condition="langs">
-            <tal:languages
-                  tal:content="structure langs" /> |
-          </span>
-        </div>
-      </div>
-    </div>
+    <span tal:define="langs provider:languages"
+          tal:condition="langs">
+      <tal:languages tal:content="structure langs" /> |
+    </span>
 
     <!-- Diazo element-->
@@ -83,5 +77,5 @@
               Id
             </span>
-            |
+            &bull;
             <span tal:replace="python:context.student.translated_state">
               State
@@ -91,63 +85,62 @@
     <!-- /Diazo element-->
 
-    <div class="container-fluid">
+    <!-- Diazo element-->
+    <div class="sidebar well">
+        <div tal:condition="layout/getStudentName">
+          <div class="kofa-sidebar-title" tal:content="layout/getStudentName">STUDENTNAME</div>
+          <ul class="nav">
+            <tal:left content="structure provider:left_studentmanage" />
+          </ul>
+        </div>
+        <div tal:condition="layout/isAuthenticated">
+          <div class="kofa-sidebar-title" tal:content="layout/getUserTitle">USERNAME</div>
+          <ul class="nav">
+            <tal:left content="structure provider:left_manage" />
+          </ul>
+      </div>
+    </div>
+    <!-- /Diazo element-->
 
-      <!-- Diazo element-->
-      <div class="sidebar well">
-          <div tal:condition="layout/getStudentName">
-            <div class="kofa-sidebar-title" tal:content="layout/getStudentName">STUDENTNAME</div>
-            <ul class="nav">
-              <tal:left content="structure provider:left_studentmanage" />
-            </ul>
-          </div>
-          <div tal:condition="layout/isAuthenticated">
-            <div class="kofa-sidebar-title" tal:content="layout/getUserTitle">USERNAME</div>
-            <ul class="nav">
-              <tal:left content="structure provider:left_manage" />
-            </ul>
+    <!-- Diazo element-->
+    <div class="kofa-content">
+      <div class="actionbar" tal:condition="provider:actionbar">
+        <tal:actionbar content="structure provider:actionbar" />&nbsp;
+      </div>
+      <div
+          tal:define="message context/@@messages"
+          tal:condition="python: len(message)>11">
+        <div tal:content="structure message">
         </div>
       </div>
-      <!-- /Diazo element-->
-
-      <!-- Diazo element-->
-      <div class="kofa-content">
-        <div class="actionbar" tal:condition="provider:actionbar">
-          <tal:actionbar content="structure provider:actionbar" />&nbsp;
-        </div>
-        <div
-            tal:define="message context/@@messages"
-            tal:condition="python: len(message)>11">
-          <div tal:content="structure message">
-          </div>
-        </div>
-        <div class="alert alert-danger"
-          tal:define="status view/status|nothing"
-          tal:condition="status">
-          <span tal:content="view/status">
-            FORM STATUS SUMMARY
-          </span>:
-          <ul id="alert-error" tal:condition="view/errors">
-            <li tal:repeat="error view/error_views">
-               <span tal:replace="structure error">Error Type</span>
-            </li>
-          </ul>
-        </div>
-        <div class="pull-right">
-          <a i18n:translate="" href="#bottom">Back to bottom</a>
-        </div>
-        <h1 class="kofa-content-label"
-            tal:condition="view/label|nothing"
-            tal:content="structure view/label">LABEL</h1>
-        <div tal:content="structure view/content"> THE CONTENT
-        </div>
-        <div id="bottom" class="pull-right">
-          <a i18n:translate="" href="#">Back to top</a>
-        </div>
-        <br />
-
+      <div class="alert alert-danger"
+        tal:define="status view/status|nothing"
+        tal:condition="status">
+        <span tal:content="view/status">
+          FORM STATUS SUMMARY
+        </span>:
+        <ul id="alert-error" tal:condition="view/errors">
+          <li tal:repeat="error view/error_views">
+             <span tal:replace="structure error">Error Type</span>
+          </li>
+        </ul>
       </div>
-      <!-- /Diazo element-->
+      <div class="pull-right">
+        <a i18n:translate="" href="#bottom">Back to bottom</a>
+      </div>
+      <h1 class="kofa-content-label"
+          tal:condition="view/label|nothing"
+          tal:content="structure view/label">LABEL</h1>
+      <div tal:content="structure view/content"> THE CONTENT
+      </div>
+      <div id="bottom" class="pull-right">
+        <a i18n:translate="" href="#">Back to top</a>
+      </div>
+      <br />
 
     </div>
+    <!-- /Diazo element-->
+
   </body>
+  <!-- /Diazo element-->
+
 </html>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/studentsitelayout.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/studentsitelayout.pt	(revision 11032)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/studentsitelayout.pt	(revision 11033)
@@ -17,100 +17,107 @@
             href python: view.url(layout.site, 'feed.rss')" />
   </head>
+
+  <!-- Diazo element-->
   <body class="page kofa-body">
-    <div class="topbar" data-scrollspy="scrollspy" >
-      <div class="topbar-inner">
-        <div  class="container">
-          <a class="kofa-brand-link" href="#"
-              tal:attributes="href python: view.url(layout.site)"
-              tal:content="layout/getAppAcronym">ACRONYM</a>
-          <ul class="nav kofa-navbar-left">
-              <tal:primary_nav content="structure provider:primary_nav" />
-              <tal:primary_nav content="structure provider:primary_nav_student" />
-          </ul>
-          <ul class="nav secondary-nav kofa-navbar-right">
-            <li tal:condition="not: layout/isAuthenticated">
-            <a href="#" i18n:translate=""
-               tal:attributes="href python: view.url(layout.site, 'login')">
-                Login
-            </a>
-            </li>
-            <li tal:condition="layout/isAuthenticated">
-            <a href="#" i18n:translate=""
-               tal:attributes="href python: view.url(layout.site, '@@contactadmin')">
-                Contact
-            </a>
-            </li>
-            <li tal:condition="layout/isAuthenticated">
-            <a href="#" i18n:translate=""
-               tal:attributes="href python: view.url(context, '@@logout')">
-               Logout
-            </a>
-            </li>
-          </ul>
-          <span class="language"
-                tal:define="langs provider:languages"
-                tal:condition="langs">
-            <tal:languages
-                  tal:content="structure langs" /> |
-          </span>
+
+    <!-- Diazo element-->
+    <a class="kofa-brand-link" href="#"
+        tal:attributes="href python: view.url(layout.site)"
+        tal:content="layout/getAppAcronym">ACRONYM</a>
+    <!-- /Diazo element-->
+
+    <!-- Diazo element-->
+    <ul class="nav kofa-navbar-left">
+        <tal:primary_nav content="structure provider:primary_nav" />
+        <tal:primary_nav content="structure provider:primary_nav_student" />
+    </ul>
+    <!-- /Diazo element-->
+
+    <!-- Diazo element-->
+    <ul class="nav secondary-nav kofa-navbar-right">
+      <li tal:condition="not: layout/isAuthenticated">
+      <a href="#" i18n:translate=""
+         tal:attributes="href python: view.url(layout.site, 'login')">
+          Login
+      </a>
+      </li>
+      <li tal:condition="layout/isAuthenticated">
+      <a href="#" i18n:translate=""
+         tal:attributes="href python: view.url(layout.site, '@@contactadmin')">
+          Contact
+      </a>
+      </li>
+      <li tal:condition="layout/isAuthenticated">
+      <a href="#" i18n:translate=""
+         tal:attributes="href python: view.url(context, '@@logout')">
+         Logout
+      </a>
+      </li>
+    </ul>
+    <!-- Diazo element-->
+
+    <span tal:define="langs provider:languages"
+          tal:condition="langs">
+      <tal:languages tal:content="structure langs" /> |
+    </span>
+
+    <!-- Diazo element-->
+    <ul class="breadcrumb" tal:condition="layout/isAuthenticated">
+      <tal:breadcrumbs
+            tal:condition="python: layout.isAuthenticated()"
+            tal:content="structure provider:breadcrumbs" />
+    </ul>
+    <!-- /Diazo element-->
+
+    <!-- Diazo element-->
+    <span tal:condition="layout/getStudentName">
+      <div class="wfstatus">
+            <span tal:replace="python:context.student.student_id">
+              Id
+            </span>
+            &bull;
+            <span tal:replace="python:context.student.translated_state">
+              State
+            </span>
+      </div>
+    </span>
+    <!-- /Diazo element-->
+
+    <!-- Diazo element-->
+    <div class="kofa-content">
+      <div class="actionbar" tal:condition="provider:actionbar">
+        <tal:actionbar content="structure provider:actionbar" />&nbsp;
+      </div>
+      <div tal:define="message context/@@messages"
+           tal:condition="python: len(message)>11">
+        <div tal:content="structure message">
         </div>
       </div>
-    </div>
-
-    <div class="container">
-      <!-- Diazo element-->
-      <ul class="breadcrumb" tal:condition="layout/isAuthenticated">
-        <tal:breadcrumbs
-              tal:condition="python: layout.isAuthenticated()"
-              tal:content="structure provider:breadcrumbs" />
-      </ul>
-      <!-- /Diazo element-->
-
-      <!-- Diazo element-->
-      <span tal:condition="layout/getStudentName">
-        <div class="wfstatus">
-              <span tal:replace="python:context.student.student_id">
-                Id
-              </span>
-              |
-              <span tal:replace="python:context.student.translated_state">
-                State
-              </span>
-        </div>
-      </span>
-      <!-- /Diazo element-->
-
-      <div class="kofa-content">
-        <div class="actionbar" tal:condition="provider:actionbar">
-          <tal:actionbar content="structure provider:actionbar" />&nbsp;
-        </div>
-        <div tal:define="message context/@@messages"
-             tal:condition="python: len(message)>11">
-          <div tal:content="structure message">
-          </div>
-        </div>
-        <div class="alert-message error"
-          tal:define="status view/status|nothing"
-          tal:condition="status">
-          <span tal:content="view/status">
-            FORM STATUS SUMMARY
-          </span>:
-          <ul id="alert-error" tal:condition="view/errors">
-            <li tal:repeat="error view/error_views">
-               <span tal:replace="structure error">Error Type</span>
-            </li>
-          </ul>
-        </div>
-        <div class="pull-right">
-          <a i18n:translate="" href="#footer">Back to bottom</a>
-        </div>
-        <h1 class="kofa-content-label"
-            tal:condition="view/label|nothing"
-            tal:content="structure view/label">Label</h1>
-        <div tal:content="structure view/content">
-          THE CONTENT
-        </div>
+      <div class="alert-message error"
+        tal:define="status view/status|nothing"
+        tal:condition="status">
+        <span tal:content="view/status">
+          FORM STATUS SUMMARY
+        </span>:
+        <ul id="alert-error" tal:condition="view/errors">
+          <li tal:repeat="error view/error_views">
+             <span tal:replace="structure error">Error Type</span>
+          </li>
+        </ul>
+      </div>
+      <div class="pull-right">
+        <a i18n:translate="" href="#footer">Back to bottom</a>
+      </div>
+      <h1 class="kofa-content-label"
+          tal:condition="view/label|nothing"
+          tal:content="structure view/label">Label</h1>
+      <div tal:content="structure view/content">
+        THE CONTENT
       </div>
     </div>
+    <!-- /Diazo element-->
+
   </body>
+  <!-- /Diazo element-->
+
 </html>